import {
    createRouter,
    createWebHashHistory
} from 'vue-router';


const routes = [
    {
        name: 'notFound',
        path: '/:path(.*)+',
        redirect: {
            name: 'home',
        },
    },
    {
        name: 'login',
        path: '/login',
        component: () => import('./view/login'),
        meta: {
            title: '登录'
        }
    },
    {
        path: '/',
        redirect: '/home',
        name: 'layout',
        component: () => import('./layout'),
        children: [
            {
                path: '/home',
                component: () => import('./view/home'),
                meta: {
                    title: '房源管理'
                }
            },
            {
                path: '/addhouse',
                component: () => import('./view/addhouse'),
                meta: {
                    title: '房源录入'
                }
            },
            {
                name: 'user',
                path: '/user',
                component: () => import('./view/user'),
                meta: {
                    title: '我的'
                }
            }
        ]
    },
    {
        path: '/secondhand/detail',
        name: '/secondhand/detail',
        component: () => import('./view/secondhand/detail'),
        meta: {
            title: '二手房详情'
        }
    },
    {
        path: '/renting/detail',
        name: '/renting/detail',
        component: () => import('./view/renting/detail'),
        meta: {
            title: '租房详情'
        }
    },
    
    {
        path: '/closehouse',
        name: '/closehouse',
        component: () => import('./view/closehouse'),
        meta: {
            title: '关闭房源'
        }
    },
    {
        path: '/followup',
        name: 'followup',
        component: () => import('./view/followup'),
        meta: {
            title: '跟进房源'
        }
    },
    {
        path: '/lookRecord',
        name: 'lookRecord',
        component: () => import('./view/lookRecord'),
        meta: {
            title: '添加空看'
        }
    },
    
    {
        path: '/editsecondhandhouse',
        name: '/editsecondhandhouse',
        component: () => import('./view/secondhand/edithouse'),
        meta: {
            title: '编辑房源'
        }
    },
    {
        path: '/editrenting',
        name: '/editrenting',
        component: () => import('./view/renting/edithouse'),
        meta: {
            title: '编辑房源'
        }
    },
    {
        path: '/resc',
        name: '/resc',
        component: () => import('./view/resc'),
        meta: {
            title: '实勘上传'
        }
    },

];

const router = createRouter({
    routes,
    history: createWebHashHistory(),
});

// const isAuthenticated= false

router.beforeEach((to, from, next) => {
    const title = to.meta && to.meta.title;
    if (title) {
        document.title = title;
    }

    next()
});

export {
    router
};