import {
  reactive,
  ref
} from "vue"
import request from '@/utils/request'

export default () => {
  const loading = ref(false)
  const list = ref([])
  const page = reactive({})
  const detail = reactive({})

  const getList = data => {
    loading.value = true
    request({
      loadingId: 'renting.list',
      url: '/rent/list',
      data: {
        pageNo: 1,
        pageSize: 10,
        ...data,
      }
    }).then(res => {
      const {
        pageNo,
        pageSize,
        endRow,
        result
      } = res || {}
      Object.assign(page, {
        pageNo,
        pageSize,
        endRow
      })
      list.value = pageNo <= 1 ? result : list.value.concat(list.value)
      loading.value = false
    }).catch(e => {
      console.error(e)
      loading.value = false
    })
  }

  const getDetail = data => {
    // loading.value = true
    request({
      loadingId: 'room.view',
      url: '/rent/detail',
      params: {

        id:data,
      }
    }).then(res => {
      console.log(res, 'res')

    Object.assign(detail, res)
      // const { pageNo, pageSize, endRow, result } = res || {}
      // Object.assign(page, {pageNo, pageSize, endRow})
      // list.value = pageNo <= 1 ? result : list.value.concat(list.value)
      // loading.value = false
    }).catch(e => {
      console.error(e)
      // loading.value = false
    })
  }



  return {
    list,
    page,
    getList,
    detail,
    getDetail,
    loading
  }
}
